/* 4/3/08 flmedian.txt is flastall.txt but I'm adding medians to the output for referee 3. */

/* 6/6/07 flastall.txt is frstlast.txt edited to keep everyone whose first offer was below
the wage draw (ie first=last) as 0 first to last changers. It will give the average first
to last decline including them. Next, it will give the share of the first to last decline
recovered at the first res w of the next trial in hte same environment. This is all
for Andy's jump up table. */

/* 9/6/06 RUnning again w/ the below plus a 1st trial only version. */

/* 9/5/06 frstlast.txt is offerno.txt but will be edited to compare the first and last
reservation wages in all environments and trials across the 3 treatments. */


closeall;
library pgraph;
graphset;
output file = c:\schotter\frstlast.out reset;

@ Wait, Cost @
load rdata[1096,17] = c:\Schotter\waitcost.txt;

@ 6/6/07 First calculate the mean etc. of the first to last decline *including* the zeros/people whose first res w worked @
Firstlast_wc = zeros(570,2);
FLindex_wc = zeros(570,2);

i = 1; j = 0;
do until i > 1095;
  if rdata[i,10] <= 1;		  @ so it's a first offer in the trial @
    j = j + 1;			@ j keeps track of # of environment/trials using each time the offer # hits 1 @
    Firstlast_wc[j,1] = rdata[i,13];	@ Wres for 1st offer in trial @
    FLindex_wc[j,1] = rdata[i,10];	@ Offer #, should all be 1 here @
    else;
  endif;
  if rdata[i+1,10] <= 1;			@ so this is the last offer, may also be the first @
    Firstlast_wc[j,2] = rdata[i,13];
    FLindex_wc[j,2] = rdata[i,10];
    else; ;
  endif;
  i = i + 1;
endo;

Firstlast_wc[570,2] = rdata[1096,13];
FLindex_wc[570,2] = rdata[1096,10];

@print "Firstlast_wc"; print firstlast_wc; print "FLindex_wc"; print flindex_wc;@
FL = Firstlast_wc ~ FLindex_wc;
@FL_wc = selif(FL,FL[.,4] .<= 1);@
@FL_wc = selif(FL,FL[.,4] .> 1);@		@ 6/6/07 so this is the line to cut @
FL_wc = FL;

FLD_wc = FL_wc[.,1] - FL_wc[.,2];			@ 6/6/07 It should be FL_wc[.,1] - FL_wc[.,2], not sure what went wrong here, was 3. @

@print "# of trials of 570 in Wait, Cost in which at least 2 offers"; print (rows(FL_wc));@

print "Mean, median, sd, min, max of 1st Wres - last Wres for Wait, Cost INCLUDING THOSE WHO ONLY EVER HAD 1 OFFER";
print (meanc(FLD_wc));
print (median(FLD_wc));
print (stdc(FLD_wc));
print (minc(FLD_wc));
print (maxc(FLD_wc));

print "Confidence interval for the mean Wres 1st - Wres last of Wait, Cost";
FL_wc_lo = meanc(FLD_wc) - (1.96*(stdc(FLD_wc))*(1/sqrt(rows(FLD_wc))) );
FL_wc_hi = meanc(FLD_wc) + (1.96*(stdc(FLD_wc))*(1/sqrt(rows(FLD_wc))) );
print (FL_wc_lo~FL_wc_hi);


@ No wait, Cost @
load rdata2[1517,17] = c:\schotter\nowaitco.txt;

Firstlast_nwc = zeros(570,2);
FLindex_nwc = zeros(570,2);

i = 1; j = 0;
do until i > 1516;
  if rdata2[i,10] <= 1;		  @ so it's a first offer in the trial @
    j = j + 1;			@ j keeps track of # of environment/trials using each time the offer # hits 1 @
    Firstlast_nwc[j,1] = rdata2[i,13];	@ Wres for 1st offer in trial @
    FLindex_nwc[j,1] = rdata2[i,10];	@ Offer #, should all be 1 here @
    else;
  endif;
  if rdata2[i+1,10] <= 1;			@ so this is the last offer, may also be the first @
    Firstlast_nwc[j,2] = rdata2[i,13];
    FLindex_nwc[j,2] = rdata2[i,10];
    else; ;
  endif;
  i = i + 1;
endo;

Firstlast_nwc[570,2] = rdata2[1517,13];
FLindex_nwc[570,2] = rdata2[1517,10];

@print "Firstlast_wc"; print firstlast_wc; print "FLindex_wc"; print flindex_wc;@
FL = Firstlast_nwc ~ FLindex_nwc;
@FL_nwc = selif(FL,FL[.,4] .<= 1);@
FL_nwc = FL;

FLD_nwc = FL_nwc[.,1] - FL_nwc[.,2];

@print "# of trials of 570 in No wait, Cost in which at least 2 offers"; print (rows(FL_nwc));@

print "Mean, median, sd, min, max of 1st Wres - last Wres for No wait, Cost INCLUDING THOSE WHO ONLY EVER HAD 1 OFFER";
print (meanc(FLD_nwc));
print (median(FLD_nwc));
print (stdc(FLD_nwc));
print (minc(FLD_nwc));
print (maxc(FLD_nwc));

print "Confidence interval for the mean Wres 1st - Wres last of No wait, Cost";
FL_nwc_lo = meanc(FLD_nwc) - (1.96*(stdc(FLD_nwc))*(1/sqrt(rows(FLD_nwc))) );
FL_nwc_hi = meanc(FLD_nwc) + (1.96*(stdc(FLD_nwc))*(1/sqrt(rows(FLD_nwc))) );
print (FL_nwc_lo~FL_nwc_hi);


@ Wait, no cost @
load rdata3[1334,17] = c:\schotter\waitnoco.txt;

Firstlast_wnc = zeros(570,2);
FLindex_wnc = zeros(570,2);

i = 1; j = 0;
do until i > 1333;
  if rdata3[i,10] <= 1;		  @ so it's a first offer in the trial @
    j = j + 1;			@ j keeps track of # of environment/trials using each time the offer # hits 1 @
    Firstlast_wnc[j,1] = rdata3[i,13];	@ Wres for 1st offer in trial @
    FLindex_wnc[j,1] = rdata3[i,10];	@ Offer #, should all be 1 here @
    else;
  endif;
  if rdata3[i+1,10] <= 1;			@ so this is the last offer, may also be the first @
    Firstlast_wnc[j,2] = rdata3[i,13];
    FLindex_wnc[j,2] = rdata3[i,10];
    else; ;
  endif;
  i = i + 1;
endo;

Firstlast_wnc[570,2] = rdata3[1096,13];
FLindex_wnc[570,2] = rdata3[1096,10];

@print "Firstlast_wc"; print firstlast_wc; print "FLindex_wc"; print flindex_wc;@
FL = Firstlast_wnc ~ FLindex_wnc;
@FL_wnc = selif(FL,FL[.,4] .<= 1);@
FL_wnc = FL;

FLD_wnc = FL_wnc[.,1] - FL_wnc[.,2];

@print "# of trials of 570 in Wait, No cost in which at least 2 offers"; print (rows(FL_wnc));@

print "Mean, median, sd, min, max of 1st Wres - last Wres for Wait, No cost INCLUDING THOSE WHO ONLY EVER HAD 1 OFFER";
print (meanc(FLD_wnc));
print (median(FLD_wnc));
print (stdc(FLD_wnc));
print (minc(FLD_wnc));
print (maxc(FLD_wnc));

print "Confidence interval for the mean Wres 1st - Wres last of Wait, No cost";
FL_wnc_lo = meanc(FLD_wnc) - (1.96*(stdc(FLD_wnc))*(1/sqrt(rows(FLD_wnc))) );
FL_wnc_hi = meanc(FLD_wnc) + (1.96*(stdc(FLD_wnc))*(1/sqrt(rows(FLD_wnc))) );
print (FL_wnc_lo~FL_wnc_hi);

/*
/*==============================================================================================================*/
/* The 1st trial only version */

@ Wait, Cost @
load rdata[1096,17] = c:\Schotter\waitcost.txt;

Firstlast_wc = zeros(114,2);
FLindex_wc = zeros(114,2);

i = 1; j = 0;
do until i > 1095;
  if rdata[i,10] <= 1 and rdata[i,4] <= 1;		  @ so it's a first offer in a first trial @
    j = j + 1;			@ j keeps track of # of environment/trials using each time the offer # hits 1 @
    Firstlast_wc[j,1] = rdata[i,13];	@ Wres for 1st offer in trial @
    FLindex_wc[j,1] = rdata[i,10];	@ Offer #, should all be 1 here @
    else;
  endif;
  if rdata[i+1,10] <= 1 and rdata[i,4] <= 1;			@ so this is the last offer of a 1st trial, may also be the first @
    Firstlast_wc[j,2] = rdata[i,13];
    FLindex_wc[j,2] = rdata[i,10];
    else; ;
  endif;
  i = i + 1;
endo;


@print "Firstlast_wc"; print firstlast_wc; print "FLindex_wc"; print flindex_wc;@
FL = Firstlast_wc ~ FLindex_wc;
FL_wc = selif(FL,FL[.,4] .<= 1);

FLD_wc = FL_wc[.,1] - FL_wc[.,3];

print "# of trials of 114 1sts in Wait, Cost in which at least 2 offers"; print (rows(FL_wc));

print "Mean, median, sd, min, max of 1st Wres - last Wres (all 1st trials) for Wait, Cost";
print (meanc(FLD_wc));
print (median(FLD_wc));
print (stdc(FLD_wc));
print (minc(FLD_wc));
print (maxc(FLD_wc));

print "Confidence interval for the mean Wres 1st - Wres last (all 1st trials) of Wait, Cost";
FL_wc_lo = meanc(FLD_wc) - (1.96*(stdc(FLD_wc))*(1/sqrt(rows(FLD_wc))) );
FL_wc_hi = meanc(FLD_wc) + (1.96*(stdc(FLD_wc))*(1/sqrt(rows(FLD_wc))) );
print (FL_wc_lo~FL_wc_hi);


@ No wait, Cost @
load rdata2[1517,17] = c:\schotter\nowaitco.txt;

Firstlast_nwc = zeros(114,2);
FLindex_nwc = zeros(114,2);

i = 1; j = 0;
do until i > 1516;
  if rdata2[i,10] <= 1 and rdata2[i,4] <= 1;		  @ so it's a first offer in a 1st trial @
    j = j + 1;			@ j keeps track of # of environment/trials using each time the offer # hits 1 @
    Firstlast_nwc[j,1] = rdata2[i,13];	@ Wres for 1st offer in trial @
    FLindex_nwc[j,1] = rdata2[i,10];	@ Offer #, should all be 1 here @
    else;
  endif;
  if rdata2[i+1,10] <= 1 and rdata2[i,4] <= 1;			@ so this is the last offer in a 1st trial, may also be the first @
    Firstlast_nwc[j,2] = rdata2[i,13];
    FLindex_nwc[j,2] = rdata2[i,10];
    else; ;
  endif;
  i = i + 1;
endo;


@print "Firstlast_wc"; print firstlast_wc; print "FLindex_wc"; print flindex_wc;@
FL = Firstlast_nwc ~ FLindex_nwc;
FL_nwc = selif(FL,FL[.,4] .<= 1);

FLD_nwc = FL_nwc[.,1] - FL_nwc[.,3];

print "# of trials of 114 in No wait, Cost in which at least 2 offers"; print (rows(FL_nwc));

print "Mean, median, sd, min, max of 1st Wres - last Wres (all 1st trials) for No wait, Cost";
print (meanc(FLD_nwc));
print (median(FLD_nwc));
print (stdc(FLD_nwc));
print (minc(FLD_nwc));
print (maxc(FLD_nwc));

print "Confidence interval for the mean Wres 1st - Wres last (all 1st trials) of No wait, Cost";
FL_nwc_lo = meanc(FLD_nwc) - (1.96*(stdc(FLD_nwc))*(1/sqrt(rows(FLD_nwc))) );
FL_nwc_hi = meanc(FLD_nwc) + (1.96*(stdc(FLD_nwc))*(1/sqrt(rows(FLD_nwc))) );
print (FL_nwc_lo~FL_nwc_hi);


@ Wait, no cost @
load rdata3[1334,17] = c:\schotter\waitnoco.txt;

Firstlast_wnc = zeros(114,2);
FLindex_wnc = zeros(114,2);

i = 1; j = 0;
do until i > 1333;
  if rdata3[i,10] <= 1 and rdata3[i,4] <= 1;		  @ so it's a first offer in a 1st trial @
    j = j + 1;			@ j keeps track of # of environment/trials using each time the offer # hits 1 @
    Firstlast_wnc[j,1] = rdata3[i,13];	@ Wres for 1st offer in trial @
    FLindex_wnc[j,1] = rdata3[i,10];	@ Offer #, should all be 1 here @
    else;
  endif;
  if rdata3[i+1,10] <= 1 and rdata3[i,4] <= 1;			@ so this is the last offer in a 1st trial, may also be the first @
    Firstlast_wnc[j,2] = rdata3[i,13];
    FLindex_wnc[j,2] = rdata3[i,10];
    else; ;
  endif;
  i = i + 1;
endo;


@print "Firstlast_wc"; print firstlast_wc; print "FLindex_wc"; print flindex_wc;@
FL = Firstlast_wnc ~ FLindex_wnc;
FL_wnc = selif(FL,FL[.,4] .<= 1);

FLD_wnc = FL_wnc[.,1] - FL_wnc[.,3];

print "# of trials of 114 1st trials in Wait, No cost in which at least 2 offers"; print (rows(FL_wnc));

print "Mean, median, sd, min, max of 1st Wres - last Wres (all 1st trials) for Wait, No cost";
print (meanc(FLD_wnc));
print (median(FLD_wnc));
print (stdc(FLD_wnc));
print (minc(FLD_wnc));
print (maxc(FLD_wnc));

print "Confidence interval for the mean Wres 1st - Wres last (all 1st trials) of Wait, No cost";
FL_wnc_lo = meanc(FLD_wnc) - (1.96*(stdc(FLD_wnc))*(1/sqrt(rows(FLD_wnc))) );
FL_wnc_hi = meanc(FLD_wnc) + (1.96*(stdc(FLD_wnc))*(1/sqrt(rows(FLD_wnc))) );
print (FL_wnc_lo~FL_wnc_hi);

/* End 1st trial only */
/*=====================================================================================================*/



/*==============================================================================================================*/
/* The 5th trial only version */

@ Wait, Cost @
load rdata[1096,17] = c:\Schotter\waitcost.txt;

Firstlast_wc = zeros(114,2);
FLindex_wc = zeros(114,2);

i = 1; j = 0;
do until i > 1095;
  if rdata[i,10] <= 1 and (rdata[i,4] > 4 and rdata[i,4] <= 5);		  @ so it's a first offer in a 5th trial @
    j = j + 1;			@ j keeps track of # of environment/trials using each time the offer # hits 1 @
    Firstlast_wc[j,1] = rdata[i,13];	@ Wres for 1st offer in trial @
    FLindex_wc[j,1] = rdata[i,10];	@ Offer #, should all be 1 here @
    else;
  endif;
  if rdata[i+1,10] <= 1 and (rdata[i,4] > 4 and rdata[i,4] <= 5);			@ so this is the last offer of a 5th trial, may also be the first @
    Firstlast_wc[j,2] = rdata[i,13];
    FLindex_wc[j,2] = rdata[i,10];
    else; ;
  endif;
  i = i + 1;
endo;

Firstlast_wc[114,2] = rdata[1096,13];
FLindex_wc[114,2] = rdata[1096,10];

@print "Firstlast_wc"; print firstlast_wc; print "FLindex_wc"; print flindex_wc;@
FL = Firstlast_wc ~ FLindex_wc;
FL_wc = selif(FL,FL[.,4] .<= 1);

FLD_wc = FL_wc[.,1] - FL_wc[.,3];

print "# of trials of 114 5ths in Wait, Cost in which at least 2 offers"; print (rows(FL_wc));

print "Mean, median, sd, min, max of 1st Wres - last Wres (all 5th trials) for Wait, Cost";
print (meanc(FLD_wc));
print (median(FLD_wc));
print (stdc(FLD_wc));
print (minc(FLD_wc));
print (maxc(FLD_wc));

print "Confidence interval for the mean Wres 1st - Wres last (all 5th trials) of Wait, Cost";
FL_wc_lo = meanc(FLD_wc) - (1.96*(stdc(FLD_wc))*(1/sqrt(rows(FLD_wc))) );
FL_wc_hi = meanc(FLD_wc) + (1.96*(stdc(FLD_wc))*(1/sqrt(rows(FLD_wc))) );
print (FL_wc_lo~FL_wc_hi);


@ No wait, Cost @
load rdata2[1517,17] = c:\schotter\nowaitco.txt;

Firstlast_nwc = zeros(114,2);
FLindex_nwc = zeros(114,2);

i = 1; j = 0;
do until i > 1516;
  if rdata2[i,10] <= 1 and (rdata2[i,4] > 4 and rdata2[i,4] <= 5);		  @ so it's a first offer in a 5th trial @
    j = j + 1;			@ j keeps track of # of environment/trials using each time the offer # hits 1 @
    Firstlast_nwc[j,1] = rdata2[i,13];	@ Wres for 1st offer in trial @
    FLindex_nwc[j,1] = rdata2[i,10];	@ Offer #, should all be 1 here @
    else;
  endif;
  if rdata2[i+1,10] <= 1 and (rdata2[i,4] > 4 and rdata2[i,4] <= 5);			@ so this is the last offer in a 5th trial, may also be the first @
    Firstlast_nwc[j,2] = rdata2[i,13];
    FLindex_nwc[j,2] = rdata2[i,10];
    else; ;
  endif;
  i = i + 1;
endo;

Firstlast_nwc[114,2] = rdata2[1517,13];
FLindex_nwc[114,2] = rdata2[1517,10];


@print "Firstlast_wc"; print firstlast_wc; print "FLindex_wc"; print flindex_wc;@
FL = Firstlast_nwc ~ FLindex_nwc;
FL_nwc = selif(FL,FL[.,4] .<= 1);

FLD_nwc = FL_nwc[.,1] - FL_nwc[.,3];

print "# of trials of 114 5ths in No wait, Cost in which at least 2 offers"; print (rows(FL_nwc));

print "Mean, median, sd, min, max of 1st Wres - last Wres (all 5th trials) for No wait, Cost";
print (meanc(FLD_nwc));
print (median(FLD_nwc));
print (stdc(FLD_nwc));
print (minc(FLD_nwc));
print (maxc(FLD_nwc));

print "Confidence interval for the mean Wres 1st - Wres last (all 5th trials) of No wait, Cost";
FL_nwc_lo = meanc(FLD_nwc) - (1.96*(stdc(FLD_nwc))*(1/sqrt(rows(FLD_nwc))) );
FL_nwc_hi = meanc(FLD_nwc) + (1.96*(stdc(FLD_nwc))*(1/sqrt(rows(FLD_nwc))) );
print (FL_nwc_lo~FL_nwc_hi);


@ Wait, no cost @
load rdata3[1334,17] = c:\schotter\waitnoco.txt;

Firstlast_wnc = zeros(114,2);
FLindex_wnc = zeros(114,2);

i = 1; j = 0;
do until i > 1333;
  if rdata3[i,10] <= 1 and (rdata3[i,4] > 4 and rdata3[i,4] <= 5);		  @ so it's a first offer in a 5th trial @
    j = j + 1;			@ j keeps track of # of environment/trials using each time the offer # hits 1 @
    Firstlast_wnc[j,1] = rdata3[i,13];	@ Wres for 1st offer in trial @
    FLindex_wnc[j,1] = rdata3[i,10];	@ Offer #, should all be 1 here @
    else;
  endif;
  if rdata3[i+1,10] <= 1 and (rdata3[i,4] > 4 and rdata3[i,4] <= 5);			@ so this is the last offer in a 5th trial, may also be the first @
    Firstlast_wnc[j,2] = rdata3[i,13];
    FLindex_wnc[j,2] = rdata3[i,10];
    else; ;
  endif;
  i = i + 1;
endo;

Firstlast_wnc[114,2] = rdata3[1334,13];
FLindex_wnc[114,2] = rdata3[1334,10];

@print "Firstlast_wc"; print firstlast_wc; print "FLindex_wc"; print flindex_wc;@
FL = Firstlast_wnc ~ FLindex_wnc;
FL_wnc = selif(FL,FL[.,4] .<= 1);

FLD_wnc = FL_wnc[.,1] - FL_wnc[.,3];

print "# of trials of 114 5th trials in Wait, No cost in which at least 2 offers"; print (rows(FL_wnc));

print "Mean, median, sd, min, max of 1st Wres - last Wres (all 5th trials) for Wait, No cost";
print (meanc(FLD_wnc));
print (median(FLD_wnc));
print (stdc(FLD_wnc));
print (minc(FLD_wnc));
print (maxc(FLD_wnc));

print "Confidence interval for the mean Wres 1st - Wres last (all 5th trials) of Wait, No cost";
FL_wnc_lo = meanc(FLD_wnc) - (1.96*(stdc(FLD_wnc))*(1/sqrt(rows(FLD_wnc))) );
FL_wnc_hi = meanc(FLD_wnc) + (1.96*(stdc(FLD_wnc))*(1/sqrt(rows(FLD_wnc))) );
print (FL_wnc_lo~FL_wnc_hi);

/* End 5th trial only */
/*=====================================================================================================*/


/*
Noffers = 0;

i = 1;
do until i > 1333;
  if rdata3[i+1,10] <= 1;
    if i <= 2;
      Noffers = rdata3[i,10];
      else;
      Noffers = Noffers | rdata3[i,10];
    endif;
  endif;
  i = i + 1;
endo;

/* Last trial ends at 1334 w/ a 2nd offer. */
Noffers = Noffers | 2;

Noffwnc = Noffers;


print "Wait, Cost Mean, Median, SD, Min, Max # Offers";
print (meanc(Noffwc));
print (median(Noffwc));
print (stdc(Noffwc));
print (minc(Noffwc));
print (maxc(Noffwc));

print "No Wait, Cost Mean, Median, SD, Min, Max # Offers";
print (meanc(Noffnwc));
print (median(Noffnwc));
print (stdc(Noffnwc));
print (minc(Noffnwc));
print (maxc(Noffnwc));

print "Wait, No Cost Mean, Median, SD, Min, Max # Offers";
print (meanc(Noffwnc));
print (median(Noffwnc));
print (stdc(Noffwnc));
print (minc(Noffwnc));
print (maxc(Noffwnc));

print "confidence intervals on the means: W,C; NW,C; W,NC";
wc_up = (meanc(Noffwc)) + ( (stdc(noffwc))*1.96 / (sqrt(570)));
wc_dn = (meanc(Noffwc)) - ( (stdc(noffwc))*1.96/(sqrt(570)));
print (wc_up~wc_dn);

nwc_up = (meanc(Noffnwc)) + ( (stdc(noffnwc))*1.96 / (sqrt(570)));
nwc_dn = (meanc(Noffnwc)) - ( (stdc(noffnwc))*1.96 / (sqrt(570)));
print (nwc_up~nwc_dn);

wnc_up = (meanc(Noffwnc)) + ( (stdc(noffwnc))*1.96/(sqrt(570)));
wnc_dn = (meanc(Noffwnc)) - ( (stdc(noffwnc))*1.96/(sqrt(570)));
print (wnc_up~wnc_dn);


/* 8/31/06 E offer #s when searching optimally in each case */
fn cdf_f(x,alpha,beta) = 1-exp( - ((x/alpha) ^beta) );
print " "; print " ";

@ Wait, Cost Optima for each Trial, should get n=570 @
Ooffers = 0;				@ for "Optimal # of offers" @
wstar = 0;

i = 1;
do until i > 1096;
  if rdata[i,10] <= 1;			@ if in a 1st trial in the environment, so get 1 soln for each env/trial, 38*5*3=570 @
    if i <= 1;
      wstar = rdata[i,14]*rdata[i,5];
      Ooffers = 1/(1 - cdf_f( wstar, rdata[i,7], rdata[i,8] ));			@ =1/(1-F(w*,alpha,beta)) @
      else;
      wstar = rdata[i,14]*rdata[i,5];
      Ooffers = Ooffers | 1/(1 - cdf_f( wstar, rdata[i,7], rdata[i,8] ));
    endif;
  endif;
  i = i + 1;
endo;

Ooffwc = Ooffers;

print "Wait, Cost Optimal Search Offer # Mean, Median, SD, Min, Max";
print (meanc(Ooffwc));
print (median(Ooffwc));
print (stdc(Ooffwc));
print (minc(Ooffwc));
print (maxc(Ooffwc));


@ No Wait, Cost Optima for each Trial, should get n=570 @
Ooffers = 0;				@ for "Optimal # of offers" @

i = 1;
do until i > 1517;
  if rdata2[i,10] <= 1;			@ if in a 1st trial in the environment, so get 1 soln for each env/trial, 38*5*3=570 @
    if i <= 1;
      wstar = rdata2[i,14]*rdata2[i,5];
      Ooffers = 1/(1 - cdf_f( wstar, rdata2[i,7], rdata2[i,8] ));			@ =1/(1-F(w*,alpha,beta)) @
      else;
      wstar = rdata2[i,14]*rdata2[i,5];
      Ooffers = Ooffers | 1/(1 - cdf_f( wstar, rdata2[i,7], rdata2[i,8] ));
    endif;
  endif;
  i = i + 1;
endo;

Ooffnwc = Ooffers;

print "No Wait, Cost Optimal Search Offer # Mean, Median, SD, Min, Max";
print (meanc(Ooffnwc));
print (median(Ooffnwc));
print (stdc(Ooffnwc));
print (minc(Ooffnwc));
print (maxc(Ooffnwc));


@ Wait, No Cost Optima for each Trial, should get n=570 @
Ooffers = 0;				@ for "Optimal # of offers" @

i = 1;
do until i > 1334;
  if rdata3[i,10] <= 1;			@ if in a 1st trial in the environment, so get 1 soln for each env/trial, 38*5*3=570 @
    if i <= 1;
      wstar = rdata3[i,14]*rdata3[i,5];
      Ooffers = 1/(1 - cdf_f( wstar, rdata3[i,7], rdata3[i,8] ));			@ =1/(1-F(w*,alpha,beta)) @
      else;
      wstar = rdata3[i,14]*rdata3[i,5];
      Ooffers = Ooffers | 1/(1 - cdf_f( wstar, rdata3[i,7], rdata3[i,8] ));
    endif;
  endif;
  i = i + 1;
endo;

Ooffwnc = Ooffers;

print "Wait, No Cost Optimal Search Offer # Mean, Median, SD, Min, Max";
print (meanc(Ooffwnc));
print (median(Ooffwnc));
print (stdc(Ooffwnc));
print (minc(Ooffwnc));
print (maxc(Ooffwnc));
*/*/
end;